Portal 2 first game to require Firmware 3.60 update

Posted By | On 17th, Apr. 2011 Under News


Valve’s upcoming puzzler, Portal 2 is the first game to require an mandatory update to PS3 Firmware 3.60.

This means, you will have to update your firmware to the recently released one by Sony, in order to play the game.

This is a blow for people using custom firmware since the hacking community hasn’t been able to crack Sony’s latest firmware. This will prevent any users running jailbroken PS3s from playing the game.

Future PS3 titles are also going to use this firmware update and you’ll require to update in order play those aswell.

Portal releases in few days time for PC, PS3 and Xbox 360.

Tagged With: , , ,

Awesome Stuff that you might be interested in

  • I can play using the spoofer 3.60 works fine

  • jf

    how? I have 3.60 rebug spoofer and the newest multiman availiable and i can’t play


 

Copyright © 2009-2017 GamingBolt.com. All Rights Reserved.